var hintergrundBild = 'styles/www-bk.gif'; 
var forscreen       = true;
var seiteFramewidth = '860';
var mainname        = "admat_en";
var symboltab = [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,8704,0,8707,0,0,
                 8715,0,0,8727,0,0,8722,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                 0,0,0,0,8773,913,914,935,8710,917,934,915,919,921,
                 977,922,923,924,925,927,928,920,929,931,932,933,962,
                 8486,926,936,918,0,8756,0,8869,0,8254,945,946,967,
                 948,949,966,947,951,953,981,954,955,956,957,959,960,
                 952,961,963,964,965,982,969,958,968,950,0,0,0,8764,0,
                 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
                 0,0,0,0,0,0,0,978,8242,8804,8725,8734,402,9827,9830,
                 9829,9824,8596,8592,8593,8594,8595,176,177,8243,
                 8805,215,8733,8706,8226,247,8800,8801,8776,8230,0,
                 0,8629,8501,8465,8476,8472,8855,8853,8709,8745,8746,
                 8835,8839,8836,8834,8838,8712,8713,8736,8711,174,169,
                 8482,8719,8730,8901,172,8743,8744,8660,8656,8657,
                 8658,8659,9674,9001,174,169,8482,8721,61670,61671,61672,0,0,0,0,
                 0,0,0,0,9002,8747,8992,0,8993,61686,61687,61688,0,0,0,0,0,0,0];

<!-- maleMenu() - JAVASCRIPT-FUNKTION - diese Funktion erstellt die Menüstruktur, beginnend mit dem Hauptverzeichnis und dann den darin enthaltenen Unterverzeichnissen. -->

function maleMenu() {
	ausgabeFrame = top.menuFrame.window.document;
	ausgabeFrame.open("text/html");
	ausgabeFrame.write("<!DOCTYPE HTML>");
	ausgabeFrame.write("<HTML>\n<HEAD>\n<!-- \nvon JS-Menue 1.2 dynamisch erstellter HTML-Code\n(C) 1999 Ansgar Federhen/Rheinbreitbach@net\nWeb: http://rheinbreitbach.net/js-menue/\nE-Mail: js-menue@rheinbreitbach.net\n-->\n");
	ausgabeFrame.write("<STYLE>\n<!--\nA {text-decoration: none}\nA {color: " + linkFarbe + "}\nA:hover {color: " + aLinkFarbe + "}\n-->\n</STYLE>\n");
	ausgabeFrame.write("</HEAD>\n<BODY BGCOLOR=\"" + hintergrundFarbe + "\" BACKGROUND=\"" + hintergrundBild + "\" LINK=\"" + linkFarbe + "\" ALINK=\"" + aLinkFarbe + "\" VLINK=\"" + bLinkFarbe + "\">\n");
	ausgabeFrame.write("<FONT FACE=\"" + MenuSchrift + "\" SIZE=" + MenuSchriftGroesse + " COLOR=\"" + textFarbe + "\">\n");
	ausgabeFrame.write(prefixHTML + "\n<NOBR>\n");
		if (menuDaten[1].ziel == "") {
			var zielFrame = standardZielFrame}
		else {var zielFrame = menuDaten[1].ziel}
		if (menuDaten[1].icon == "") {
			var bildBezeichnung = standardBildURL + 'globus-' + hintergrundStil + '.gif'}
		else {bildBezeichnung = standardBildURL + menuDaten[1].icon}
	ausgabeFrame.write("<A HREF=\"" + menuDaten[1].url + "\" TARGET=\"" + zielFrame + "\" onMouseOver=\"window.status='" + menuDaten[1].rootstat + "'; return true\"><IMG SRC=\"" + bildBezeichnung + "\" WIDTH=16 HEIGHT=16 ALIGN=TOP BORDER=0 ALT=\"" + menuDaten[1].rootstat + "\">&nbsp;<B>" + menuDaten[1].text + "</B></A><BR>\n");
	maleVerz("root","");
	ausgabeFrame.write("</NOBR>\n" + suffixHTML + "\n</FONT>\n</BODY>\n</HTML>");
	ausgabeFrame.close();
	window.status="TF der CAU zu Kiel (C) 1999" }

<!-- maleVerz() - JAVASCRIPT-FUNKTION - Diese Funktion wird von der Funktion 'maleMenu()' aufgerufen, um alle sichtbaren Einträge im Verzeichnis zu erstellen. -->

function maleVerz(startEintrag,zweigEintrag) {
	VerzAuf = 'Click to open this folder'
	VerzZu = 'Click to close this folder'
	var nachfolger = sucheNachfolgerVon(startEintrag);
	var aktuellerIndex = 1;
	while (aktuellerIndex <= nachfolger.laenge) {
		ausgabeFrame.write(zweigEintrag);
		if (nachfolger[aktuellerIndex].typ == 'link') {
			if (nachfolger[aktuellerIndex].icon == "") {
				var bildBezeichnung = standardBildURL + standardLinkBild}
			else {var bildBezeichnung = standardBildURL + nachfolger[aktuellerIndex].icon}
			if (nachfolger[aktuellerIndex].ziel == "") {
				var zielFrame = standardZielFrame}
			else {var zielFrame = nachfolger[aktuellerIndex].ziel}
			if (aktuellerIndex != nachfolger.laenge) {
				ausgabeFrame.write("<IMG SRC=\"" + standardBildURL + "zw" + hintergrundStil + ".gif\" WIDTH=19 HEIGHT=16 ALIGN=TOP>")}
			else {ausgabeFrame.write("<IMG SRC=\"" + standardBildURL + "zwe" + hintergrundStil + ".gif\" WIDTH=19 HEIGHT=16 ALIGN=TOP>")}
			if (nachfolger[aktuellerIndex].linkstat == "") {
				var linkstat = nachfolger[aktuellerIndex].url}
			else {var linkstat = nachfolger[aktuellerIndex].linkstat}
			ausgabeFrame.write("<A HREF=\"" + nachfolger[aktuellerIndex].url + "\" TARGET=\"" + zielFrame + "\" onMouseOver=\"window.status='" + linkstat + "'; return true\"><IMG SRC=\"" + bildBezeichnung + "\" WIDTH=16 HEIGHT=16 ALIGN=TOP BORDER=0 ALT=\"" + linkstat + "\">&nbsp;" + nachfolger[aktuellerIndex].text + "</A><BR>\n")}
		else {var neuerZweig = zweigEintrag;
			if (nachfolger[aktuellerIndex].iconZu == "") {
				var iconZu = "vzzu-" + hintergrundStil + ".gif"}
			else {var iconZu = nachfolger[aktuellerIndex].iconZu}
			if (nachfolger[aktuellerIndex].iconOffen == "") {
				var iconOffen = "vzauf-" + hintergrundStil + ".gif"}
			else {var iconOffen = nachfolger[aktuellerIndex].iconOffen}
			if (aktuellerIndex != nachfolger.laenge) {
				if (nachfolger[aktuellerIndex].offen == 0) {
				   if (nachfolger[aktuellerIndex].linkstat != ''){
							ausgabeFrame.write("<A HREF=\"javascript:top.aufzuVerz('" + nachfolger[aktuellerIndex].name + "',1)\" onMouseOver=\"window.status='" + nachfolger[aktuellerIndex].linkstat + "'; return true\"><IMG SRC=\"" + standardBildURL + "zwauf-" + hintergrundStil + ".gif\" WIDTH=19 HEIGHT=16 ALT=\"" + nachfolger[aktuellerIndex].linkstat + "\" ALIGN=TOP BORDER=0>")}
					else {ausgabeFrame.write("<A HREF=\"javascript:top.aufzuVerz('" + nachfolger[aktuellerIndex].name + "',1)\" onMouseOver=\"window.status='" + VerzAuf + "'; return true\"><IMG SRC=\"" + standardBildURL + "zwauf-" + hintergrundStil + ".gif\" WIDTH=19 HEIGHT=16 ALT=\"" + VerzAuf + "\" ALIGN=TOP BORDER=0>")}
					ausgabeFrame.write("<IMG SRC=\"" + standardBildURL + iconZu + "\" WIDTH=16 HEIGHT=16 ALT=\"" + VerzAuf + "\" ALIGN=TOP BORDER=0>&nbsp;" + nachfolger[aktuellerIndex].text + "</A><BR>\n")}
				else {ausgabeFrame.write("<A HREF=\"javascript:top.aufzuVerz('" + nachfolger[aktuellerIndex].name + "',0)\" onMouseOver=\"window.status='" + VerzZu + "'; return true\"><IMG SRC=\"" + standardBildURL + "zwzu-" + hintergrundStil + ".gif\" WIDTH=19 HEIGHT=16 ALT=\"" + VerzZu + "\" ALIGN=TOP BORDER=0>");
					ausgabeFrame.write("<IMG SRC=\"" + standardBildURL + iconOffen + "\" WIDTH=16 HEIGHT=16 ALT=\"" + VerzZu + "\" ALIGN=TOP BORDER=0>&nbsp;" + nachfolger[aktuellerIndex].text + "</A><BR>\n");
					neuerZweig = neuerZweig + "<IMG SRC=\"" + standardBildURL + "stamm-" + hintergrundStil + ".gif\" WIDTH=19 HEIGHT=16 ALIGN=TOP>";
					maleVerz(nachfolger[aktuellerIndex].name,neuerZweig)}}
			else {
				if (nachfolger[aktuellerIndex].offen == 0) {
					ausgabeFrame.write("<A HREF=\"javascript:top.aufzuVerz('" + nachfolger[aktuellerIndex].name + "',1)\" onMouseOver=\"window.status='" + VerzAuf + "'; return true\"><IMG SRC=\"" + standardBildURL + "zwauf-e" + hintergrundStil + ".gif\" WIDTH=19 HEIGHT=16 ALT=\"" + VerzAuf + "\" ALIGN=TOP BORDER=0>")
					ausgabeFrame.write("<IMG SRC=\"" + standardBildURL + iconZu + "\" WIDTH=16 HEIGHT=16 ALT=\"" + VerzAuf + "\" ALIGN=TOP BORDER=0>&nbsp;" + nachfolger[aktuellerIndex].text + "</A><BR>\n")}
				else {ausgabeFrame.write("<A HREF=\"javascript:top.aufzuVerz('" + nachfolger[aktuellerIndex].name + "',0)\" onMouseOver=\"window.status='" + VerzZu + "'; return true\"><IMG SRC=\"" + standardBildURL + "zwzu-e" + hintergrundStil + ".gif\" WIDTH=19 HEIGHT=16 ALT=\"" + VerzZu + "\" ALIGN=TOP BORDER=0>");
					ausgabeFrame.write("<IMG SRC=\"" + standardBildURL + iconOffen + "\" WIDTH=16 HEIGHT=16 ALT=\"" + VerzZu + "\" ALIGN=TOP BORDER=0>&nbsp;" + nachfolger[aktuellerIndex].text + "</A><BR>\n");
					neuerZweig = neuerZweig + "<IMG SRC=\"" + standardBildURL + "leer.gif\" WIDTH=19 HEIGHT=16 ALIGN=TOP>";
					maleVerz(nachfolger[aktuellerIndex].name,neuerZweig)}}}
		aktuellerIndex++;}}

<!-- maleKlappFrame() - JAVASCRIPT-FUNKTION - diese Funktion erstellt den Mini-Frame mit den Funktionsaufrufen zum Öffnen/Schließen aller Verzeichniss. -->

function maleKlappFrame() {
	ausgabeFrame = top.klappFrame.window.document;
	ausgabeFrame.open("text/html");
	ausgabeFrame.write("<!DOCTYPE HTML>");
	ausgabeFrame.write("<HTML>\n<HEAD>\n<STYLE>\n<!--\nA {text-decoration: none}\nA {color: " + linkFarbe + "}\nA:hover {color: " + aLinkFarbe + "}\n-->\n</STYLE>\n");
	ausgabeFrame.write("</HEAD>\n<BODY BGCOLOR=\"" + hintergrundFarbe + "\" BACKGROUND=\"" + hintergrundBild + "\" LINK=\"" + linkFarbe + "\" ALINK=\"" + aLinkFarbe + "\" VLINK=\"" + bLinkFarbe + "\">\n");
	ausgabeFrame.write("<FONT FACE=\"" + MenuSchrift + "\" SIZE=\"2\" COLOR=\"" + textFarbe + "\">\n");
	ausgabeFrame.write("<A HREF=\"javascript:top.allesaufzu(1)\" onMouseOver=\"window.status='open all folders'; return true\">\n");
	ausgabeFrame.write("&nbsp;<IMG SRC=\"" + standardBildURL + "vzauf-" + hintergrundStil + ".gif\" WIDTH=16 HEIGHT=16 ALT=\"open all folders\" BORDER=0> open all folders</A><BR>\n");
	ausgabeFrame.write("<A HREF=\"javascript:top.allesaufzu(0)\" onMouseOver=\"window.status='close all folders'; return true\">\n");
	ausgabeFrame.write("&nbsp;<IMG SRC=\"" + standardBildURL + "vzzu-" + hintergrundStil + ".gif\" WIDTH=16 HEIGHT=16 ALT=\"close all folders\" BORDER=0> close all folders</A><BR></FONT>\n");
   ausgabeFrame.write("<INPUT TYPE=\"CHECKBOX\" NAME=\"CheckBox2\"");
	if (forscreen==false) {
	ausgabeFrame.write("CHECKED=\"CHECKED\" ");}; 
	ausgabeFrame.write("ONCLICK=\"top.set_forscreen(this.checked)\">");
	ausgabeFrame.write("<FONT COLOR=\"#080074\" SIZE=\"-1\">print friendly</FONT></P></FORM>\n");
	ausgabeFrame.write("</BODY>\n</HTML>\n")
	ausgabeFrame.close();
	window.status="MW-Menue"}

<!-- neumalen() - JAVASCRIPT-FUNKTION - diese Funktion wird in der Frameset-Definition bei Änderung der Fenstergröße aufgerufen (nur Netscape) und lädt das Menü neu -->

function neumalen() {
    maleMenu();
    maleKlappFrame()}

<!-- aufzuVerz() - JAVASCRIPT-FUNKTION - diese Funktion öffnet bzw. schließt ein Verzeichnis. -->

function aufzuVerz(name,status) {
	var eintragsIndex = indexVonEintrag(name);
	menuDaten[eintragsIndex].offen = status;
	if ((status == 1) && (menuDaten[eintragsIndex].url != "")){
	top.seiteFrame.window.location.href = menuDaten[eintragsIndex].url;
	}
	timeOutname = setTimeout("maleMenu()",100)}

<!-- allesaufzu() - JAVASCRIPT-FUNKTION - diese Funktion öffnet/schließt alle Verzeichnisse. -->

function allesaufzu(was) {
	var aktuellerIndex = 1;
	while (aktuellerIndex <= menuDaten.laenge) {
		{menuDaten[aktuellerIndex].offen = was}
		aktuellerIndex++}
 	maleMenu()}

<!-- indexVonEintrag() - JAVASCRIPT-FUNKTION - sucht einen Eintrag in 'menuDaten' anhand eines Namens -->

function indexVonEintrag(name) {
	var aktuellerIndex = 1;
	while (aktuellerIndex <= menuDaten.laenge) {
		if ((menuDaten[aktuellerIndex].typ == 'root') || (menuDaten[aktuellerIndex].typ == 'verzeichnis')) {
			if (menuDaten[aktuellerIndex].name == name) {
				return aktuellerIndex}}
		aktuellerIndex++}
	return -1}

<!-- sucheNachfolgerVon() - JAVASCRIPT-FUNKTION - erzeugt eine Sammlung aller Einträge, die unmittelbar unter dem aktuellen Eintrag liegen -->

function sucheNachfolgerVon(eintrag) {
	var nachfolger = new Sammlung();
	var aktuellerIndex = 1;
	while (aktuellerIndex <= menuDaten.laenge) {
		if ((menuDaten[aktuellerIndex].typ == 'verzeichnis') || (menuDaten[aktuellerIndex].typ == 'link')) {
			if (menuDaten[aktuellerIndex].vorfahr == eintrag) {
				nachfolger.neu(menuDaten[aktuellerIndex])}}
		aktuellerIndex++}
	return nachfolger}

<!-- Sammlung() - OBJEKT - ein dynamisches Objekt, welches Daten speichert, ähnlich einem Array. -->

function Sammlung() {
	this.laenge = 0;
	this.neu = neu;
	return this}

<!-- neu() - METHODE des Objekts Sammlung - fügt dem Objekt Sammlung neue Daten(sätze) hinzu. -->

function neu(object) {
	this.laenge++;
	this[this.laenge] = object}

<!-- HauptverzeichnisEintrag() - OBJEKT - steht für den Hauptverzeichnis-Eintrag im Menü. -->

function HauptverzeichnisEintrag(name,text,url,ziel,icon,rootstat) {
	this.name = name;
	this.text = text;
	this.url = url;
	this.ziel = ziel;
	this.icon = icon;
	this.typ = 'root';
	this.rootstat = rootstat;
	return this}

<!-- VerzEintrag() - OBJEKT - steht für einen Verzeichnis-Eintrag im Menü. -->

function VerzEintrag(name,vorfahr,text,iconZu,iconOffen,url,linkstat) {
	this.name = name;
	this.vorfahr = vorfahr;
	this.text = text;
	this.iconZu = iconZu;
	this.iconOffen = iconOffen;
	this.typ = 'verzeichnis';
	this.offen = 0;
	this.url = url;
	this.linkstat = linkstat;
	return this}

<!-- LinkEintrag() - OBJEKT - steht für einen Link-Eintrag im Menü. -->

function LinkEintrag(vorfahr,text,url,ziel,icon,linkstat) {
	this.vorfahr = vorfahr;
	this.name = text;	
	this.text = text;
	this.url = url;
	this.ziel = ziel;
	this.icon = icon;
	this.typ = 'link';
	this.linkstat = linkstat;
	return this}

function ladeDaten() {
	menuDaten = new Sammlung();

<!--
// Menü-Struktur-Definitionen: hier wird die Menü-Struktur definiert
// Syntax/Schreibweise:

// Hauptverzeichnis-Eintrag:
// menuDaten.neu(new HauptverzeichnisEintrag('<NAME>','<TEXT>','<URL>','<ZIEL>','<ICON>','<STATUSTEXT>'));
// Hinweis: Es darf nur EIN Hauptverzeichniseintrag existieren und er MUSS an ERSTER Stelle stehen;
//          <STATUSTEXT>, <ZIEL> und <ICON> koennen leer bleiben, es werden dann Standards benutzt.

// Verzeichnis-Eintrag:
// menuDaten.neu(new VerzEintrag('<NAME>','<ÜBERGEORDNETER NAME>','<TEXT>','<ICON ZU>','<ICON OFFEN>'));
// Hinweis: Verzeichnis-Einträge MÜSSEN einen gültigen Wert bei 'ÜBERGEORDNETER NAME' (=Name des übergeordneten
//          Verzeichnisses) haben, sie SOLLTEN untergeordnete Einträge haben (macht sonst keinen Sinn);
//          <ICON ZU> und <ICON OFFEN> können leer bleiben, es werden dann Standards benutzt.

// Link-Eintrag:
// menuDaten.neu(new LinkEintrag('<ÜBERGEORDNETER NAME>','<TEXT>','<URL>','<ZIEL>','<ICON>',<STATUSTEXT>'));
// Hinweis: <ZIEL> und <ICON> können leer bleiben, es werden dann die im Bereich 'Benutzerdefinierte
//          Variablen' definierten Standards benutzt. <STATUSTEXT> kann leer bleiben, es wird dann der bei
//          <URL> eingesetzte Wert übernommen.

// Für weitere Informationen sieh in der JS-Menü-Dokumentation nach.
//-->

	menuDaten.neu(new HauptverzeichnisEintrag('root','Advanced Mat. B','overview_main.html','','','Homepage: Advanced Materials B, part 1, Script'));
	menuDaten.neu(new LinkEintrag('root','Introduction','kap_1/backbone/r1.html','seiteFrame','','Introduction to Electronic Materials'));
	menuDaten.neu(new LinkEintrag('root','Conductors','kap_2/backbone/r2.html','seiteFrame','','Conductors'));
	menuDaten.neu(new LinkEintrag('root','Dielectrics','kap_3/backbone/r3.html','seiteFrame','','Dielectrics'));
      menuDaten.neu(new LinkEintrag('root','Magnetics','kap_4/backbone/r4.html','seiteFrame','','Magnetic Materials'));
	menuDaten.neu(new LinkEintrag('root','Optics','kap_5/backbone/r5.html','seiteFrame','','Optical Materials and Techniques'));
      
      menuDaten.neu(new LinkEintrag('root','<B>Matrix</B>','metamod/i_matrix.html','seiteFrame','text.gif','Complete content of script'));
      menuDaten.neu(new LinkEintrag('root','Indexlist','check/ad_index.html','seiteFrame','text.gif','Subject Index'));
	menuDaten.neu(new LinkEintrag('root','Names','check/ad_name.html','seiteFrame','text.gif','Name Index '));
	menuDaten.neu(new LinkEintrag('root','Abbreviations','check/ad_abk.html','seiteFrame','text.gif','List of Abbreviations'));
	menuDaten.neu(new LinkEintrag('root','Dictionary','check/ad_transl.html','seiteFrame','text.gif','Dictionary English - German'));
      menuDaten.neu(new LinkEintrag('root','Project','check/projekt.html','seiteFrame','text.gif','Project-Info '));
	
<!-- Benutzerdefinierte Variablen: -->

   hintergrundStil = 0;                     // 0 bei Verwendung eines hellen Hintergrunds, 1 bei Verwendung eines dunklen Hintergrunds (bestimmt, ob dunkle oder helle Icons verwendet werden)
  hintergrundFarbe = '#FFFFFF';             // bestimmt die Hintergrundfarbe des Menüs, Farbtabelle siehe Dokumentation
         textFarbe = '#000000';             // bestimmt die Farbe von Text, der nicht mit einem Link hinterlegt ist
         linkFarbe = '#080074';             // bestimmt die Farbe von Text, der mit einem Link hinterlegt ist
        aLinkFarbe = '#FF0000';             // bestimmt die Farbe des gerade aktiven TextLinks (auch "hover-Effekt", allerdings nur IE 4.x und hoeher)
        bLinkFarbe = '#080074';             // bestimmt die Farbe der bereits besuchten TextLinks
 standardZielFrame = 'seiteFrame';          // Name des Frames, in den standardmäßig alle Links geladen werden
   standardBildURL = 'styles/';             // Pfad oder URL, wo sich die von JS-Menü benötigten Icons befinden
  standardLinkBild = 'seite.gif';          // Name des standardmäßig benutzten Icons für Links
       MenuSchrift = 'Arial,MS Sans Serif,Helvetica';  // die für das Menü benutzte Schriftart(en)
MenuSchriftGroesse = '2';                   // die Schriftgröße - nicht zu groß (1 oder 2)!

<!-- Zusätzlicher HTML-Code: -->

	prefixHTML ='<HR>';
	suffixHTML = '<HR><A HREF="running_term/index.html" TARGET="seiteFrame"><B>  Running Term</B></A>';
}

function indexVonmenu(name) {
	var aktuellerIndex = 1;
	while (aktuellerIndex <= menuDaten.laenge) {
			if (menuDaten[aktuellerIndex].name == name) {
				return aktuellerIndex}
		aktuellerIndex++}
	return -1}

function convNode(n, Myview){ 
var n1; 
if (n == null) return;
if (n.nodeType == 3) { elem = n.parentNode;
var st = Myview.getComputedStyle(elem, null); var val =
st.getPropertyValue('font-family'); if 
(val.toLowerCase() == 'symbol') { var s0 = n.data,
s1 = '', len = s0.length, ch; for (i = 0; i < len;
i++) { ch = s0.charCodeAt(i); if (ch < 256 && 
symboltab[ch] != 0) ch = 
symboltab[ch]; s1 += String.fromCharCode(ch);
} n.data = s1; } } n1 = n.firstChild; while (n1 != 
null) { convNode(n1, Myview); n1 = n1.nextSibling; } 
}

function getInternetExplorerVersion()
{
    var rV = -1; // Return value assumes failure.

    if (navigator.appName == 'Microsoft Internet Explorer' || navigator.appName == 'Netscape') {
        var uA = navigator.userAgent;
        var rE = new RegExp("MSIE ([0-9]{1,}[\.0-9]{0,})");

        if (rE.exec(uA) != null) {
            rV = parseFloat(RegExp.$1);
        }
        /*check for IE 11*/
        else if (!!navigator.userAgent.match(/Trident.*rv\:11\./)) {
            rV = 11;
        }
    }
    return rV;
}


function check_pagestyle() {
     if (top.seiteFrame){
	  Mydocument = top.seiteFrame.document;
	  if (getInternetExplorerVersion()<0) {convNode(Mydocument,Mydocument.defaultView)};
     if (!forscreen) {
	  Mydocument.getElementsByTagName("body")[0].style.background = 'url("")';
          Mydocument.getElementsByTagName("body")[0].style.backgroundColor = '#ffffff'};
     if (forscreen){
	  for(var i = 0; i < Mydocument.getElementsByTagName("table").length; i++) {
          mytab = Mydocument.getElementsByTagName("table")[i];
	  myname = mytab.className;
	  if (myname.substr(0,3) == "W__"){
	  mytab.width = myname.substr(3,myname.length-3)}
	  else if (myname.substr(0,4) == "WS__"){
	  mytab.width = myname.substr(4,myname.length-4);
	  mytab.cellPadding = "20px";
          mytab.style.marginTop = "20px";
          mytab.style.marginBottom = "20px"}
	  else if (myname.substr(0,4) == "WI__"){
          if (myname.length>4){mytab.width = myname.substr(4,myname.length-4)};
          mytab.style.marginTop = "20px";
          mytab.style.marginBottom = "20px"      }
	  else if (myname.substr(0,5) == "WII__"){
	  if (myname.length>5){mytab.width = myname.substr(5,myname.length-5)};
          mytab.style.marginTop = "40px";
          mytab.style.marginBottom = "40px"
}
}
}
}
}


function set_forscreen(isChecked) {
     forscreen = !isChecked;
     let mywert = "fs=";
     if (forscreen) {mywert=mywert+"1"} else {mywert=mywert+"0"};
     mywert += ";path=/;SameSite=Lax";
     top.document.cookie=mywert;
     // const daten = top.document.cookie;
     // console.log('MM'+daten)
     parent.postMessage('3', '*')
}

function save_cookie() {
let mywert = "fs=";
if (forscreen) {mywert=mywert+"1"} else {mywert=mywert+"0"};
mywert= mywert+";path=/;SameSite=Lax";
top.document.cookie=(mywert);
}

function cookie_ausgabe(name) {
let daten = top.document.cookie;
//console.log('MW'+daten)
var Mytext = '';
for (i=0; i < (daten.length-name.length); i++) {
 if (daten.substring(i,i+name.length) == name) {
   var ende = daten.indexOf(";",i+name.length);
	if (ende == -1) {ende = daten.length}
	Mytext = daten.substring(i+name.length, ende);
	}
 }
return Mytext;
}

function load_cookie() {
mywert = cookie_ausgabe("fs=");
if (mywert != '') {
forscreen = (mywert.substring(0,1)=='1')};
return cookie_ausgabe("UXLL=");
}

function start() {
   ladeDaten();
   mywert = load_cookie();
   if (mywert!='') {
	  top.seiteFrame.window.location.href=mywert;
	  top.document.cookie="UXLL=;path=/;SameSite=Lax"}
   maleMenu();
   maleKlappFrame();
}

function cs(img){
if (!img.sl){
      img.height = img.height * 2;
      img.width  = img.width  * 2;
      img.title  = 'click to reduce size';
	   img.sl = true;}
else {
      img.height = img.height / 2;
      img.width  = img.width  / 2;
      img.title  = 'click to enlarge size';
	   img.sl = false;}
}
